RCP(1)

NAME
rcp - copy file to and from remote machines

SYNOPSIS
rcp [-45FKpxz] [-P port] file1 file2
rcp [-45FKprxz] [-P port] file... directory

DESCRIPTION
rcp copies files between machines. Each file argument is either a remote file name of the form “rname@rhost:path” or a local file (containing no colon or with a slash before the first colon).

Supported options:

    -4, -5, -K, -F, -x, -z These options are passed on to rsh(1).

-P port
    This will pass the option -p port to rsh(1).

-p  Preserve file permissions.

-r  Copy source directories recursively.

DIAGNOSTICS
rcp is implemented as a protocol on top of rsh(1), and thus requires a working rsh. If you intend to use Kerberos authentication, rsh needs to be Kerberos aware, else you may see more or less strange errors, such as "login incorrect", or "lost connection".

HISTORY
The rcp utility first appeared in 4.2BSD. This version is derived from 4.3BSD-Reno.